Bug 771235 - screen corruption when libvnc.so loaded
screen corruption when libvnc.so loaded
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-02 13:54 EST by phirestalker
Modified: 2012-01-10 01:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-09 23:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (52.47 KB, text/plain)
2012-01-02 13:54 EST, phirestalker
no flags Details

  None (edit)
Description phirestalker 2012-01-02 13:54:49 EST
Created attachment 550288 [details]
Xorg log

Description of problem:
I just installed tigervnc and the module package. After a lot of searching I finally found out how to enable it without disabling autoconfiguration (needs and upgrade perhaps??). Here is what I did to enable it.

1. added 30-vncserver.conf to /etc/X11/xorg.conf.d with the following contents
Section "Screen"
    Identifier "VNC"
    Option "SecurityTypes" "VncAuth"
    Option "UserPasswdVerifier" "VncAuth"
#adjust the following line
    Option "PasswordFile" "/root/.vnc/passwd"
EndSection

Section "Module"
    Load "vnc"
EndSection
2. su
3. vncpasswd
4. vncserver
5. rebooted system
now on login my sound icon and some other icons are missing, there is no sound until 5 minutes after login. The screen looks fine until you try to use it. I click on the menu and nothing happens until I click somewhere else then I see parts of the menu sliding back down. windows don't seem to move and right now I finally managed to get firefox window functioning so, once in a window I can use everything in it. Most menus are useless. I am able to log in with vnc to see the same results, so we know that libvnc is loaded.

Version-Release number of selected component (if applicable):
Linux 3.1.6-1.fc16.x86_64 on x86_64
tigervnc-server 1.1.0-3.fc16
tigervnc-server-module 1.1.0-3.fc16


Additional info:
Comment 1 phirestalker 2012-01-02 14:26:52 EST
ok I disabled desktop effects and now everything seems to work fine. vnc access still works. Is it supposed to work with desktop. videos aren't showing and sound isn't working. ugh
Comment 2 Adam Tkac 2012-01-05 06:28:53 EST
(In reply to comment #0)
> Created attachment 550288 [details]
> Xorg log
> 
> Description of problem:
> I just installed tigervnc and the module package. After a lot of searching I
> finally found out how to enable it without disabling autoconfiguration (needs
> and upgrade perhaps??). Here is what I did to enable it.
> 
> 1. added 30-vncserver.conf to /etc/X11/xorg.conf.d with the following contents
> Section "Screen"
>     Identifier "VNC"
>     Option "SecurityTypes" "VncAuth"
>     Option "UserPasswdVerifier" "VncAuth"
> #adjust the following line
>     Option "PasswordFile" "/root/.vnc/passwd"
> EndSection
> 
> Section "Module"
>     Load "vnc"
> EndSection
> 2. su
> 3. vncpasswd
> 4. vncserver
> 5. rebooted system

Can you please tell me which desktop is corrupted? Is it corrupted on machine where runs Xorg + libvnc.so or it's broken on machine where you run VNC viewer?

If it is corrupted on machine where you run VNC viewer does "refresh screen" help? (if you use TigerVNC viewer you can refresh screen when you press "F8" and click on refresh screen button).
Comment 3 phirestalker 2012-01-09 23:33:54 EST
ya I erased Fedora. You all should pat yourselves on the back, and update killed my Ubuntu so I tried Fedora and an update killed that so I am DONE with linux. I'm buying a mac. I hope all of you fanboys who consider mac to be evil consider yourselves complicit in my move to the darkside for not demanding from your respective distributions a better quality.
Comment 4 Ondrej Vasik 2012-01-10 01:21:40 EST
I don't know who from Linux world made you so angry, but I don't see anything in that bugzilla - so I don't fully understand the tone of your comment. Anyway - it doesn't matter - I wish you more luck with your new operating system.

Note You need to log in before you can comment on or make changes to this bug.